import { axios } from '@/utils/request'

//  调拨类型管理 列表  分页
export const allocateTypeList = (params) => {
  const url = `/allocateType/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 调拨类型管理 列表  无分页
export const allocateTypeAllList = params => {
  return axios({
    url: '/allocateType/queryList',
    data: params,
    method: 'post'
  })
}
// 调拨类型 树列表
export const allocateTypeTreeList = params => {
  return axios({
    url: '/allocateType/queryTreeList',
    data: params,
    method: 'post'
  })
}
// 根据级别查询
export const queryListByTreeLevel = params => {
  return axios({
    url: '/allocateType/queryListByTreeLevel',
    data: params,
    method: 'post'
  })
}
// 调拨类型管理  新增/编辑
export const allocateTypeSave = params => {
  return axios({
    url: '/allocateType/save',
    data: params,
    method: 'post'
  })
}

// 调拨类型管理  删除
export const allocateTypeDel = params => {
  return axios({
    url: `/allocateType/delete/${params.sn}`,
    data: {},
    method: 'get'
  })
}

// 调拨类型管理  详情
export const allocateTypeDetail = params => {
  return axios({
    url: `/allocateType/findBySn/${params.sn}`,
    data: {},
    method: 'get'
  })
}
